CycleRunsController_start
POST
/api/cycles/streams/{streamId}/runs
const url = 'https://api.streams-ai.com/api/cycles/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/runs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rootMessageId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","startingOperatorUserId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/cycles/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/runs \ --header 'Content-Type: application/json' \ --data '{ "rootMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startingOperatorUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
rootMessageId
required
string format: uuid
startingOperatorUserId
string format: uuid
Examplegenerated
{ "rootMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startingOperatorUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}
